require "spec_helper"

describe Pasta::Dish do

  specify {  ->{ Pasta::Dish.new }.must_raise ArgumentError }
  
  let(:spaghetti) { Pasta::Dish.new 'Long, thin, cylindrical strings of durum' }
  
  specify { spaghetti.must_be_kind_of Pasta::Dish }
  specify { spaghetti.must_respond_to :with }
  specify { spaghetti.must_respond_to :make }
  
  let(:fettuccine) { Pasta::Dish.new 'Flat, thick, strings of egg and durum'}
  
  describe "#with" do
    it "raises an error if a recipe can't be found" do
      ->{ fettuccine.with(:unknown) }.must_raise Pasta::Error
    end
  end
  
  describe "#make" do
    it "raises an error if a recipe can't be found" do
      ->{ fettuccine.make(:unknown) }.must_raise Pasta::Error
    end
    
    it "converts the sauce text into a string" do
      fettuccine.make(:html).must_be_kind_of String
    end
  end
end