require "spec_helper"

describe Pasta do
  specify { Pasta.must_respond_to :prepare }
  specify { ->{ Pasta.prepare }.must_raise ArgumentError } 
  specify { Pasta.prepare('some yummy text').must_be_kind_of Pasta::Dish }
  specify { Pasta.prepare('a handful of text').with(:gruber).make(:html).must_equal '<p>a handful of text</p>' }
  
  it "uses :markdown as the default recipe" do
    Pasta.prepare('thick, soft balls of flour and egg').make(:html).must_equal '<p>thick, soft balls of flour and egg</p>'
  end
end