require 'spec_helper'

describe 'Gruber' do
  before do
    @gruber = Pasta::Recipes::Gruber.new
  end
  
  it "converts text to html" do
    @gruber.to_html('some yummy text').must_be_kind_of String
  end
  
  Dir.glob(File.dirname(__FILE__) + '/*.yml').each do |file|
    yaml = YAML.load_file(file)
    
    yaml['tests'].each do |test|
      it "parses #{test['desc']} to html" do
        @gruber.to_html(test['text']).must_equal test['html'].strip
      end
    end
  end

end